Setup requirements - Data360_DQ+ - 11.X

Data360 DQ+ AWS Installation

Product type
Software
Portfolio
Verify
Product family
Data360
Product
Data360 DQ+
Version
11.X
Language
English
Product name
Data360 DQ+
Title
Data360 DQ+ AWS Installation
Copyright
2024
First publish date
2016
ft:lastEdition
2024-06-06
ft:lastPublication
2024-06-06T12:37:34.761477

Ensure that the following are installed on a Linux Virtual Machine (VM) that you will use to deploy the infrastructure and install the application:

  • Python 3
  • Boto and Boto3 Python packages. These packages can be installed using pip3 install boto and pip3 install boto3.
  • Terraform binary, version 1.1.0 or later. For Terraform download information, see https://www.terraform.io/downloads.html.
    Note: The location of the Terraform binary must be present in the $PATH
  • Java 11

The Linux VM must also:

  • Have a minimum specification of r5.large, or equivalent.
  • Have access to the internet.
  • Be inside one of the subnets where you plan to install Data360 DQ+.

To start kubernetes deployment, follow below set up :

  • Software need in machine from where you are working -
    1. Helm for deploying into Kubernetes cluster. (We have used version: v3.9.2)
    2. kubectl tool for interacting with Kubernetes cluster (We have used version: v1.24.2).
    3. Amazon AWS CLI with version 2 (We have used version: 2.7.20).
    4. Docker with version 20.10.17. You can check with 'docker --version' command.
  • Configure kubeconfig file for an Kubernetes cluster (Amazon EKS Cluster) with AWS SSO or AWS IAM authenticator for Kubernetes.